﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Migrations\20210918222346_UserAndUserRoleTablesAdded.cs" />
    <Compile Remove="Migrations\20210918222346_UserAndUserRoleTablesAdded.Designer.cs" />
    <Compile Remove="Migrations\20210918224619_UserAndUserRoleTablesAdded.cs" />
    <Compile Remove="Migrations\20210918224619_UserAndUserRoleTablesAdded.Designer.cs" />
    <Compile Remove="Migrations\20210918225129_InitialMigrationForTables.cs" />
    <Compile Remove="Migrations\20210918225129_InitialMigrationForTables.Designer.cs" />
    <Compile Remove="Migrations\20210918230246_InitialMigrationForTables.cs" />
    <Compile Remove="Migrations\20210918230246_InitialMigrationForTables.Designer.cs" />
    <Compile Remove="Migrations\20210918230520_InitialMigrationTables.cs" />
    <Compile Remove="Migrations\20210918230520_InitialMigrationTables.Designer.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="DevExpress.Xpo" Version="20.1.3" />
    <PackageReference Include="Microsoft.AspNetCore.Http" Version="2.2.2" />
    <PackageReference Include="Microsoft.AspNetCore.Http.Abstractions" Version="2.2.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.1.18" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="3.1.18">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="3.1.18" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="3.1.18">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="3.1.11" />
    <PackageReference Include="Serilog" Version="2.10.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="5.6.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Tripark.Domain\Tripark.Domain.csproj" />
    <ProjectReference Include="..\Tripark.Utility\Tripark.Utility.csproj" />
  </ItemGroup>
</Project>
